package com.huashe.park.core.service.impl;

import java.util.List;

import com.huashe.park.core.mapper.ConsMachineCmdHisMapper;
import com.huashe.park.core.service.IConsMachineCmdHisService;
import com.huashe.park.domain.entity.ConsMachineCmdHis;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 桩机指令下发历史Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-12
 */
@Service
public class ConsMachineCmdHisServiceImpl implements IConsMachineCmdHisService
{
    @Autowired
    private ConsMachineCmdHisMapper consMachineCmdHisMapper;

    /**
     * 查询桩机指令下发历史
     * 
     * @param id 桩机指令下发历史主键
     * @return 桩机指令下发历史
     */
    @Override
    public ConsMachineCmdHis selectConsMachineCmdHisById(Long id)
    {
        return consMachineCmdHisMapper.selectConsMachineCmdHisById(id);
    }

    /**
     * 查询桩机指令下发历史列表
     * 
     * @param consMachineCmdHis 桩机指令下发历史
     * @return 桩机指令下发历史
     */
    @Override
    public List<ConsMachineCmdHis> selectConsMachineCmdHisList(ConsMachineCmdHis consMachineCmdHis)
    {
        return consMachineCmdHisMapper.selectConsMachineCmdHisList(consMachineCmdHis);
    }

    /**
     * 新增桩机指令下发历史
     * 
     * @param consMachineCmdHis 桩机指令下发历史
     * @return 结果
     */
    @Override
    public int insertConsMachineCmdHis(ConsMachineCmdHis consMachineCmdHis)
    {
        return consMachineCmdHisMapper.insertConsMachineCmdHis(consMachineCmdHis);
    }

    /**
     * 修改桩机指令下发历史
     * 
     * @param consMachineCmdHis 桩机指令下发历史
     * @return 结果
     */
    @Override
    public int updateConsMachineCmdHis(ConsMachineCmdHis consMachineCmdHis)
    {
        return consMachineCmdHisMapper.updateConsMachineCmdHis(consMachineCmdHis);
    }

    /**
     * 批量删除桩机指令下发历史
     * 
     * @param ids 需要删除的桩机指令下发历史主键
     * @return 结果
     */
    @Override
    public int deleteConsMachineCmdHisByIds(Long[] ids)
    {
        return consMachineCmdHisMapper.deleteConsMachineCmdHisByIds(ids);
    }

    /**
     * 删除桩机指令下发历史信息
     * 
     * @param id 桩机指令下发历史主键
     * @return 结果
     */
    @Override
    public int deleteConsMachineCmdHisById(Long id)
    {
        return consMachineCmdHisMapper.deleteConsMachineCmdHisById(id);
    }
}
